Bug 176994 - sound apps cause X server to use 100% CPU
sound apps cause X server to use 100% CPU
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-04 22:29 EST by Steve Falco
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 06:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
straces of the Xserver (12.89 KB, text/plain)
2006-01-04 22:31 EST, Steve Falco
no flags Details

  None (edit)
Description Steve Falco 2006-01-04 22:29:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have a TYAN S2882-D mobo with two Opteron 250 CPUs, total of 4 Gigs of RAM, 2 Gigs per processor.

The video card is a PNY Nvidia FX 5500 (PCI bus, not AGP if that matters).
I have tried two sound cards, an Ensoniq 1370 and a Creative Audigy 2 ZS.  The problem is the same for either sound card, and doesn't seem to be slot dependent.

If not using sound, the system runs for a day or more.  I start using audacity, recording or playing back, and after a half minute or so, the entire display freezes up.  I can still ping the box, and an ssh from another machine shows the Xserver at 99.9% CPU.  If I kill -9 the Xserver, the box restarts X and I can log in.

It does the same thing with gcdmaster playing back a wav file.  So it looks to be an interaction between X and a sound card.

I did an strace on the Xserver, but I'm not sure it is meaningful - it reports
a buffer overflow in select, which I've seen listed in another bug as due to tracing a 32-bit app on a 64-bit system.  I'll attach the trace anyway in case it is helpful.

I can reproduce this 100% of the time on this machine, and I will gladly capture any other data anyone might like to see.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start audacity
2.Start recording
3.
  

Actual Results:  Screen freezes, Xserver goes to 99.9% CPU

Expected Results:  No freeze

Additional info:
Comment 1 Steve Falco 2006-01-04 22:31:03 EST
Created attachment 122806 [details]
straces of the Xserver
Comment 2 Steve Falco 2006-01-05 21:18:28 EST
I tried installing the proprietary nvidia driver:

     NVIDIA-Linux-x86_64-1.0-8178-pkg2.run

and the problem completely disappears.  So, I am currently suspecting the xorg
nv driver.

Should we persue this bug here, or would you prefer that I move the bug over to
the xorg site?
Comment 3 Mike A. Harris 2006-02-05 12:05:58 EST
(In reply to comment #2)
> I tried installing the proprietary nvidia driver:
> 
>      NVIDIA-Linux-x86_64-1.0-8178-pkg2.run
> 
> and the problem completely disappears.  So, I am currently suspecting the xorg
> nv driver.
> 
> Should we persue this bug here, or would you prefer that I move the bug over to
> the xorg site?

Please file in X.Org bugzilla, and we'll track the issue there.  Thanks in
advance.

Comment 4 Steve Falco 2006-02-07 08:51:50 EST
Ok - it is filed in X.org.  Here is a link:

https://bugs.freedesktop.org/show_bug.cgi?id=5833
Comment 5 Mike A. Harris 2006-06-07 06:02:33 EDT
From upstream bug report:

 ------- Additional comment #2  from Steve Falco on 2006-03-30 08:04  [reply]
-------

Installed the latest Fedora Core 5, with Xorg 7.0.0.  This bug appears to be
fixed in this version.



Closing bug as fixed in "CURRENTRELEASE" of FC5

Note You need to log in before you can comment on or make changes to this bug.